Module jdk.compiler
Package com.sun.source.tree

## Interface AssignmentTree

- All Superinterfaces:
    `ExpressionTree`, `Tree`

      public interface AssignmentTree
      extends ExpressionTree

  A tree node for an assignment expression. For example:

         variable = expression

  Since:
    1.6
  See The Java™ Language Specification:
    section 15.26.1

- - ### Nested Class Summary

    - ### Nested classes/interfaces declared in interface com.sun.source.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ExpressionTree` | `getExpression()` | Returns the expression being assigned to the variable.
    `ExpressionTree` | `getVariable()` | Returns the variable being assigned to.

    - ### Methods declared in interface com.sun.source.tree.Tree

      `accept, getKind`

- - ### Method Detail

    - #### getVariable

          ExpressionTree getVariable()

      Returns the variable being assigned to.
      Returns:
        the variable

    - #### getExpression

          ExpressionTree getExpression()

      Returns the expression being assigned to the variable.
      Returns:
        the expression